import request from '@/utils/request'

// 查询支付明细列表
export function listStorePayment(query) {
  return request({
    url: '/his/storePayment/list',
    method: 'get',
    params: query
  })
}

// 查询支付明细详细
export function getStorePayment(paymentId) {
  return request({
    url: '/his/storePayment/' + paymentId,
    method: 'get'
  })
}
export function getStatus(paymentId) {
  return request({
    url: '/his/storePayment/getStatus/' + paymentId,
    method: 'get'
  })
}
export function refund(paymentId) {
  return request({
    url: '/his/storePayment/refund/' + paymentId,
    method: 'get'
  })
}
// 新增支付明细
export function addStorePayment(data) {
  return request({
    url: '/his/storePayment',
    method: 'post',
    data: data
  })
}

// 修改支付明细
export function updateStorePayment(data) {
  return request({
    url: '/his/storePayment',
    method: 'put',
    data: data
  })
}

// 删除支付明细
export function delStorePayment(paymentId) {
  return request({
    url: '/his/storePayment/' + paymentId,
    method: 'delete'
  })
}

// 导出支付明细
export function exportStorePayment(query) {
  return request({
    url: '/his/storePayment/export',
    method: 'get',
    params: query
  })
}
